Commit d75beee0 authored by Alexander Diewald's avatar Alexander Diewald
Browse files

Oomph: Update to 2019-09


Signed-off-by: Alexander Diewald's avatarAlexander Diewald <diewald@fortiss.org>
parent 95e57df7
......@@ -32,17 +32,17 @@
<setupTask
xsi:type="setup:VariableTask"
name="eclipse.target.platform"
defaultValue="2019-06"
defaultValue="2019-09"
storageURI="scope://Workspace"/>
<setupTask
xsi:type="setup.p2:P2Task"
label="Eclipse 2019-06 Update Site stuff">
label="Eclipse 2019-09 Update Site stuff">
<requirement
name="org.eclipse.platform.feature.group"
versionRange="[4.12.0,4.13.0)"/>
versionRange="[4.13.0,4.14.0)"/>
<requirement
name="org.eclipse.emf.sdk.feature.group"
versionRange="[2.18.0,2.19.0)"/>
versionRange="[2.19.0,2.20.0)"/>
<requirement
name="org.eclipse.emf.transaction.sdk.feature.group"
versionRange="[1.12.0,1.13.0)"/>
......@@ -57,14 +57,14 @@
versionRange="[1.12.0,1.13.0)"/>
<requirement
name="org.eclipse.xtext.sdk.feature.group"
versionRange="[2.18.0,2.19.0)"/>
versionRange="[2.19.0,2.20.0)"/>
<requirement
name="org.eclipse.epp.package.modeling.feature.feature.group"
versionRange="[4.12.0,4.13.0)"/>
versionRange="[4.13.0,4.14.0)"/>
<repository
url="https://download.eclipse.org/releases/2019-06/"/>
url="https://download.eclipse.org/releases/2019-09/"/>
<repository
url="https://download.eclipse.org/technology/epp/packages/2019-06/"/>
url="https://download.eclipse.org/technology/epp/packages/2019-09/"/>
<description>Install the tools needed in the IDE to work with the source code of ${scope.project.label}.</description>
</setupTask>
<setupTask
......@@ -72,16 +72,16 @@
label="eGit jGit">
<requirement
name="org.eclipse.egit.feature.group"
versionRange="[5.4.0,5.5.0)"/>
versionRange="[5.5.0,5.6.0)"/>
<requirement
name="org.eclipse.jgit.feature.group"
versionRange="[5.4.0,5.5.0)"/>
versionRange="[5.5.0,5.6.0)"/>
<requirement
name="org.eclipse.egit.mylyn.feature.group"
versionRange="[5.4.0,5.5.0)"
versionRange="[5.5.0,5.6.0)"
filter=""/>
<repository
url="https://download.eclipse.org/egit/updates-5.4"/>
url="https://download.eclipse.org/egit/updates-5.5.1"/>
<description>Install Git support for interacting with the AF3 repositories.</description>
</setupTask>
<setupTask
......@@ -109,9 +109,9 @@
label="E(fx)clipse IDE - JavaFX support">
<requirement
name="org.eclipse.fx.ide.feature.feature.group"
versionRange="[3.5.0,3.6.0)"/>
versionRange="[3.6.0,3.7.0)"/>
<repository
url="https://download.eclipse.org/efxclipse/updates-released/3.5.0/site"/>
url="https://download.eclipse.org/efxclipse/updates-released/3.6.0/site"/>
<description>Install JavaFX IDE support for Kepler.</description>
</setupTask>
<setupTask
......@@ -201,6 +201,7 @@
xsi:type="git:GitCloneTask"
id="fortiss-std-env.git.clone"
remoteURI="https://git.fortiss.org/af3/fortiss-std-env.git"
checkoutBranch="2019-09"
recursive="true">
<configSections
name="core">
......@@ -481,6 +482,7 @@
xsi:type="git:GitCloneTask"
id="targetdefinition.git.clone"
remoteURI="https://git.fortiss.org/af3/target-definition.git"
checkoutBranch="2019-09"
recursive="true">
<configSections
name="core">
......@@ -787,7 +789,7 @@
<setupTask
xsi:type="pde:TargetPlatformTask"
id="target.file"
name="Target-2019-06"/>
name="Target-2019-09"/>
<stream name="master"
label="Development">
<description>Configure the stream / branch of source code.</description>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment